[ARVADOS-DEV] updated: 1b9ca54af0f7f70c65382ebe748a22e6763130e6
git at public.curoverse.com
git at public.curoverse.com
Sat Nov 1 15:10:51 EDT 2014
Summary of changes:
jenkins/run-docker-tests.sh | 22 +++++++++++++++++++++-
1 file changed, 21 insertions(+), 1 deletion(-)
via 1b9ca54af0f7f70c65382ebe748a22e6763130e6 (commit)
from e9db1de8aaa0a519f31684561e3c660461ccf22e (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit 1b9ca54af0f7f70c65382ebe748a22e6763130e6
Author: Ward Vandewege <ward at curoverse.com>
Date: Sat Nov 1 15:08:28 2014 -0400
Make run-docker-tests.sh a bit smarter about detecting common failures.
No issue #
diff --git a/jenkins/run-docker-tests.sh b/jenkins/run-docker-tests.sh
index 8fbf562..8587996 100755
--- a/jenkins/run-docker-tests.sh
+++ b/jenkins/run-docker-tests.sh
@@ -9,7 +9,7 @@ title () {
}
docker_push () {
- docker push $*
+ $DOCKER push $*
ECODE=$?
@@ -19,8 +19,28 @@ docker_push () {
fi
}
+# Sanity check
+if ! [[ -n "$WORKSPACE" ]]; then
+ echo >&2
+ echo >&2 "Error: WORKSPACE environment variable not set"
+ echo >&2
+ exit 1
+fi
+
echo $WORKSPACE
+# find the docker binary
+DOCKER=`which docker.io`
+
+if [[ "$DOCKER" == "" ]]; then
+ DOCKER=`which docker`
+fi
+
+if [[ "$DOCKER" == "" ]]; then
+ title "Error: you need to have docker installed. Could not find the docker executable."
+ exit 1
+fi
+
# DOCKER
title "Starting docker build"
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list